2018-07-16 16:57 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002901OpenFOAMFeaturepublic2018-04-13 01:13
Reporterjheylmun 
Assigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSOpenSUSE LeapOS Version42.3
Product Versiondev 
Target VersionFixed in Versiondev 
Summary0002901: streamLine function object fails in compiling
DescriptionstreamLine/streamLine.C:50:59: error: cannot define or redeclare 'names' here because namespace 'functionObjects' does not enclose
      namespace 'NamedEnum<Foam::functionObjects::streamLine::trackDirection, 3>'
    const char* NamedEnum<streamLine::trackDirection, 3>::names[] =
Steps To ReproduceCompile OpenFOAM-Dev
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0009492

wyldckat (updater)

Which is the latest commit that you have got?

For me, "git log -1" gives me the following information:

  commit 410700c7a94bba431af33720467df76a7a63e930
  Author: Henry Weller <http://openfoam.org>
  Date: Thu Apr 12 23:40:00 2018 +0100

and with this commit, the "streamLine" class builds without problems.

~0009493

henry (reporter)

Resolved by commit 00645cdc1a50179b895662b830e74fdfc581afdf
+Notes

-Issue History
Date Modified Username Field Change
2018-04-12 20:25 jheylmun New Issue
2018-04-13 01:10 wyldckat Note Added: 0009492
2018-04-13 01:13 henry Assigned To => henry
2018-04-13 01:13 henry Status new => resolved
2018-04-13 01:13 henry Resolution open => fixed
2018-04-13 01:13 henry Fixed in Version => dev
2018-04-13 01:13 henry Note Added: 0009493
+Issue History